com.genesyslab.wfm8.API.service.config851

## Class CfgRotationWeek

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgRotationWeek

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotationWeek
      extends java.lang.Object
      implements java.io.Serializable

  A Week Pattern in a Rotating Pattern (CfgRotation)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmName` Name of Week Pattern
    `protected int` | `wmPositionInSchedule` Position in Schedule
    `protected int` | `wmRotatingSchWeekId` Rotating Pattern ID
    `protected java.util.List<CfgRotationWeekDay>` | `wmWeekDays` An array of Day Patterns (CfgRotationWeekDay) for every day of the week Index 0 - Mon.
    `protected boolean` | `wmWeeklyMinutesEnabled` Weekly Minutes Enabled/Disabled
    `protected int` | `wmWeeklyMinutesMax` Maximum Weekly Minutes
    `protected int` | `wmWeeklyMinutesMin` Minimum Weekly Minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotationWeek()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmPositionInSchedule()` Gets the value of the wmPositionInSchedule property.
    `int` | `getWmRotatingSchWeekId()` Gets the value of the wmRotatingSchWeekId property.
    `java.util.List<CfgRotationWeekDay>` | `getWmWeekDays()` Gets the value of the wmWeekDays property.
    `int` | `getWmWeeklyMinutesMax()` Gets the value of the wmWeeklyMinutesMax property.
    `int` | `getWmWeeklyMinutesMin()` Gets the value of the wmWeeklyMinutesMin property.
    `int` | `hashCode()`
    `boolean` | `isWmWeeklyMinutesEnabled()` Gets the value of the wmWeeklyMinutesEnabled property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmPositionInSchedule(int value)` Sets the value of the wmPositionInSchedule property.
    `void` | `setWmRotatingSchWeekId(int value)` Sets the value of the wmRotatingSchWeekId property.
    `void` | `setWmWeekDays(java.util.List<CfgRotationWeekDay> wmWeekDays)` Sets the value of the wmWeekDays property.
    `void` | `setWmWeeklyMinutesEnabled(boolean value)` Sets the value of the wmWeeklyMinutesEnabled property.
    `void` | `setWmWeeklyMinutesMax(int value)` Sets the value of the wmWeeklyMinutesMax property.
    `void` | `setWmWeeklyMinutesMin(int value)` Sets the value of the wmWeeklyMinutesMin property.
    `java.lang.String` | `toString()`
    `CfgRotationWeek` | `withWmName(java.lang.String value)`
    `CfgRotationWeek` | `withWmPositionInSchedule(int value)`
    `CfgRotationWeek` | `withWmRotatingSchWeekId(int value)`
    `CfgRotationWeek` | `withWmWeekDays(CfgRotationWeekDay... values)`
    `CfgRotationWeek` | `withWmWeekDays(java.util.Collection<CfgRotationWeekDay> values)`
    `CfgRotationWeek` | `withWmWeeklyMinutesEnabled(boolean value)`
    `CfgRotationWeek` | `withWmWeeklyMinutesMax(int value)`
    `CfgRotationWeek` | `withWmWeeklyMinutesMin(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmRotatingSchWeekId

          protected int wmRotatingSchWeekId

      Rotating Pattern ID

    - #### wmName

          protected java.lang.String wmName

      Name of Week Pattern

    - #### wmPositionInSchedule

          protected int wmPositionInSchedule

      Position in Schedule

    - #### wmWeekDays

          protected java.util.List<CfgRotationWeekDay> wmWeekDays

      An array of Day Patterns (CfgRotationWeekDay) for every day of the week Index 0 - Mon. 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun

    - #### wmWeeklyMinutesEnabled

          protected boolean wmWeeklyMinutesEnabled

      Weekly Minutes Enabled/Disabled

    - #### wmWeeklyMinutesMin

          protected int wmWeeklyMinutesMin

      Minimum Weekly Minutes

    - #### wmWeeklyMinutesMax

          protected int wmWeeklyMinutesMax

      Maximum Weekly Minutes

  - ### Constructor Detail

    - #### CfgRotationWeek

          public CfgRotationWeek()

  - ### Method Detail

    - #### getWmRotatingSchWeekId

          public int getWmRotatingSchWeekId()

      Gets the value of the wmRotatingSchWeekId property.

    - #### setWmRotatingSchWeekId

          public void setWmRotatingSchWeekId(int value)

      Sets the value of the wmRotatingSchWeekId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmPositionInSchedule

          public int getWmPositionInSchedule()

      Gets the value of the wmPositionInSchedule property.

    - #### setWmPositionInSchedule

          public void setWmPositionInSchedule(int value)

      Sets the value of the wmPositionInSchedule property.

    - #### getWmWeekDays

          public java.util.List<CfgRotationWeekDay> getWmWeekDays()

      Gets the value of the wmWeekDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmWeekDays property.

      For example, to add a new item, do as follows:

              getWmWeekDays().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgRotationWeekDay`

    - #### isWmWeeklyMinutesEnabled

          public boolean isWmWeeklyMinutesEnabled()

      Gets the value of the wmWeeklyMinutesEnabled property.

    - #### setWmWeeklyMinutesEnabled

          public void setWmWeeklyMinutesEnabled(boolean value)

      Sets the value of the wmWeeklyMinutesEnabled property.

    - #### getWmWeeklyMinutesMin

          public int getWmWeeklyMinutesMin()

      Gets the value of the wmWeeklyMinutesMin property.

    - #### setWmWeeklyMinutesMin

          public void setWmWeeklyMinutesMin(int value)

      Sets the value of the wmWeeklyMinutesMin property.

    - #### getWmWeeklyMinutesMax

          public int getWmWeeklyMinutesMax()

      Gets the value of the wmWeeklyMinutesMax property.

    - #### setWmWeeklyMinutesMax

          public void setWmWeeklyMinutesMax(int value)

      Sets the value of the wmWeeklyMinutesMax property.

    - #### withWmRotatingSchWeekId

          public CfgRotationWeek withWmRotatingSchWeekId(int value)

    - #### withWmName

          public CfgRotationWeek withWmName(java.lang.String value)

    - #### withWmPositionInSchedule

          public CfgRotationWeek withWmPositionInSchedule(int value)

    - #### withWmWeekDays

          public CfgRotationWeek withWmWeekDays(CfgRotationWeekDay... values)

    - #### withWmWeekDays

          public CfgRotationWeek withWmWeekDays(java.util.Collection<CfgRotationWeekDay> values)

    - #### withWmWeeklyMinutesEnabled

          public CfgRotationWeek withWmWeeklyMinutesEnabled(boolean value)

    - #### withWmWeeklyMinutesMin

          public CfgRotationWeek withWmWeeklyMinutesMin(int value)

    - #### withWmWeeklyMinutesMax

          public CfgRotationWeek withWmWeeklyMinutesMax(int value)

    - #### setWmWeekDays

          public void setWmWeekDays(java.util.List<CfgRotationWeekDay> wmWeekDays)

      Sets the value of the wmWeekDays property.
      Parameters:
        `wmWeekDays` - allowed object is `CfgRotationWeekDay`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.